function [num_pud,diff_d,Dsr] = set_num_pud(BLh_pudel_proj_num,BLh_pudel_proj,par)
%function to obtain the voxel number - required to build A matrics and the distance in it. 
%Input
%BLh_pudel_proj_num - the middle of each voxel coordinates in projected
%reference frame
%BLh_pudel_proj - the voxel edges coordinates
%par - the coordniates of intersection 
%OUTPUT
% num_pud - voxel numbers
%diff_d - the distance in each voxel.
%Dsr - to calculate distance between voxel vertices and the midpoint - just
%diagnostics purposes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[wi, ki, wa] = size (BLh_pudel_proj_num);
BLh_pudel_proj_num = reshape(BLh_pudel_proj_num,[wi ki*wa]);
clear wi ki wa
[wi, ki, wa] = size (BLh_pudel_proj);
BLh_pudel_proj = reshape(BLh_pudel_proj,[wi ki*wa]);
clear wi ki wa

[wi,ki,wa] = size(par);
if wi > 1
%part developed to place one pair of consecutive points under another - to
%calculate the mean coordinates of lines in each voxel
par1(1:2:wi*2,:) = par;
par1(wi*2,:) = 0;
par2(2:2:wi*2,:) = par;
par_fin = par1+par2;
par_fin(1,:) = [];
par_fin(end,:) = [];
par_all = [];
skok = 0;
clear wi ki wa
[wi,ki,wa] = size(par_fin);
for w = 1 : wi/2
   par_mean = par_fin(1+skok:2+skok,:);
   skok =skok + 2 ;
   par_all = [par_all par_mean];
   clear par_mean
end
  mean_coor = mean(par_all);
  wywal = 4 : 4 : length(mean_coor);
  mean_coor(:,wywal) =[];
diff_d = diff(par_all(:,wywal));
mean_coor = reshape(mean_coor,[3 length(mean_coor)/3]);
%mean_coor =[par_fin(1,1:3)' mean_coor];
clear wi ki wa k kk
[wi,ki,wa] = size(BLh_pudel_proj_num);
[wie,kil,war] = size(mean_coor);
[wy,piz,du] = size(BLh_pudel_proj);
for k = 1 : ki
    for kk = 1 : kil
      D(k,kk) = sqrt((BLh_pudel_proj_num(1,k) - mean_coor(1,kk))^2 + (BLh_pudel_proj_num(2,k) - mean_coor(2,kk))^2 + (BLh_pudel_proj_num(3,k) - mean_coor(3,kk))^2);
          
    end
end
clear k kk
for k = 1 : ki
    for kk = 1 : piz
      Dsr(k,kk) = sqrt((BLh_pudel_proj_num(1,k) - BLh_pudel_proj(1,kk))^2 + (BLh_pudel_proj_num(2,k) - BLh_pudel_proj(2,kk))^2 + (BLh_pudel_proj_num(3,k) - BLh_pudel_proj(3,kk))^2);
          
    end
end
%scatter3(mean_coor(1,:),mean_coor(2,:),mean_coor(3,:),20,'fill','r')
%hold on
%scatter3(BLh_pudel_proj_num(1,:),BLh_pudel_proj_num(2,:),BLh_pudel_proj_num(3,:),10,'fill','m')
%scatter3(par(:,1),par(:,2),par(:,3),15,'fill','g')
[wart,num_pud] = min(D);
Dsr = sort(Dsr,2);
Dsr = Dsr';
Dsr = Dsr(1:4,:);
else
    num_pud = []; 
    diff_d = [];
    Dsr = [];
end
