%function designed to set the 3D network nods.   
function [BLh_pudel,BLh_pudel_num] = shift_mod(BLh,ile,ile_wys)
%27.06.2008 change in order to definitevely eliminate the problems in
%set_num_pud (maybe due to differences in projected and not projected data
%07.07.2008 change to still have the BLh_pudel_proj in WGS 
%________________INPUT____________
%BLh - matrics with [number of collocated meteo point;B[deg];L[deg];h[m]] 
%ile - number of boxes in a row and collum
%ile_wys - number of layers (equally spaced!!!!)
%_______________OUTPUT____________
%BLh_pudel - matrix (ile*ile,2) with [B L] values
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[wy wa li] = size(BLh);
 for i = 1:wy
   [B(i,1),L(i,1),h(i,1),bbs2,lls2,hhs2,xg,yg,tr_plot] = transform (BLh(i,2),BLh(i,3),BLh(i,4),2,3,0);
   clear bbs2 lls2 hhs2 xg yg tr_plot
 end
   num = BLh(:,1);
   num2 = BLh(:,end);
   clear BLh
   BLh =[num B L h num2];
   clear num num2 B L h
   
    minB = min(BLh(:,2));
    minL = min(BLh(:,3));
    maxB = max(BLh(:,2));
    maxL = max(BLh(:,3));
    minH = min(BLh(:,4));
    maxH = 10000;
    delta_wys= (maxH - minH) / ile_wys ;
    deltaB = (maxB - minB) + (maxB - minB)/ile;
    deltaL = (maxL - minL) + (maxB - minB)/ile;
if (deltaB - deltaL) > 0
      delta = deltaB / ile;
elseif (deltaB - deltaL) <= 0
      delta = deltaL / ile;
end
    minB = minB - delta/2;
    minL = minL - delta/2;
    multiple(:,1:ile+1) = 0:ile;
    delta(:,1:ile+1) = delta;
    multi_delta = multiple.*delta;
    multiple_wys(:,1:ile_wys+1) = 0:ile_wys;
    delta_wys(:,1:ile_wys+1) = delta_wys; 
    multi_delta_wys = multiple_wys.*delta_wys;
    B(:,1:ile+1) = minB;
    L(:,1:ile+1) = minL;
    H(:,1:ile_wys+1) = minH;
     
    B = B + multi_delta;
    L = L + multi_delta;
    H = H + multi_delta_wys;
    %planar repmat
    B = repmat(B,1,ile+1);
    L = repmat(L,ile+1,1);
    L = reshape(L,1,(ile+1)*(ile+1));
   
    H = repmat(H,(ile+1)*(ile+1),1);
    H = reshape(H,1,(ile_wys+1)*(ile+1)*(ile+1));   
    %vertical repmat
    B = repmat(B,1,ile_wys+1);
    L = repmat(L,1,ile_wys+1);
    BLH3D = [B;L;H;];
    BLH3D = reshape(BLH3D, [3 (ile+1)*(ile+1) (ile_wys+1)]);
    
 
    BLh_pudel = BLH3D;
    BLh_pudel_num = BLh_pudel;
    BLh_pudel_num(1:2,:,:) = BLh_pudel_num(1:2,:,:) + delta(1,1)/2;
    BLh_pudel_num(3,:,:) = BLh_pudel_num(3,:,:) - delta_wys(1,1)/2;
    BLh_pudel_num(:,:,1) =[];
    for w = 1 : ile_wys;
       BLh_nowe = BLh_pudel_num(:,:,w);
       [wi,ki,wa] = find(BLh_nowe(1,:,:)>BLh_pudel(1,end,1));
       BLh_nowe(:,ki) = [];
       clear wi ki wa
       [wi,ki,wa] = find(BLh_nowe(2,:,:)>BLh_pudel(2,end,1));
       BLh_nowe(:,ki) = [];
       clear wi ki wa
       BLh_pudel_nowe(:,:,w) = BLh_nowe;
    end
clear BLh_pudel_num
    BLh_pudel_num = BLh_pudel_nowe;
    
    
    %L = reshape(L,1,(ile_wys+1)*(ile+1)*(ile+1));
    %BLh_pudel(:,1) = B;
    %BLh_pudel(:,2) = L;
    %BLh_pudel(:,3) = H;