%function designed to obtain data from AIRIS hdf file
function [B,L,T,Terr,PresH,PresP,Time,GP,GPerr,H,Herr] = airis2mat(nazwa,level)
B = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Geolocation Fields/Latitude');
L = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Geolocation Fields/Longitude');
Time = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Geolocation Fields/Time');
T = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/TAirStd');
Terr = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/TAirStdErr');
H = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/H2OMMRSat');
Herr = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/H2OMMRStdErr');%warninng same as H2OMMRStdErr so rather for layer!!!!
GP = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/GP_Height');
GPerr = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/TAirStdErr'); %warninng same as TairErr
PresH = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/pressH2O');
PresP = hdfread(nazwa,'/L2_Standard_atmospheric&surface_product/Data Fields/pressStd');
[wi ki] = size(PresP{1,1});
for i = 1 : ki
    PresPn(i,1) = PresP{1,1}(1,i);
    if i < (ki/2 +1)
        PresHn(i,1) = PresH{1,1}(1,i);
    end
end
clear wi ki i PresP PresH
PresP = PresPn;
PresH = PresHn;
[wie,minP]= findP(PresP,level);

T = T(:,:,wie);
Terr = Terr(:,:,wie);
GP = GP(:,:,wie);
GPerr = GPerr(:,:,wie);
clear wie minP s

[wie,minP]= findP(PresH,level);
H = H(:,:,wie);
Herr = Herr(:,:,wie);
clear wie minP
%[wi ki] = size(PresH{1,1});
%for i = 1 : ki
%    PresHn(i,1) = PresH{1,1}(1,i);
%end
%clear wi ki i PresH
