%function designed to load data from TRO files 
function [ST,ZTD] = importTRO(path,station);
%_____________INPUT______________
%path - the file name
%station - the specified station name 4-DIGITS
%____________OUTPUT______________
%ST - coordinate vector [X; Y; Z]
%ZTD - zenith tropospheric delay matrics [YY; DOY; SSSSS; ZTD[m]; STDEV_ZTD[mm]];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 j = 0;
line = 1;
i = 0;
fid = fopen( path, 'r' )
z = 0;
p = 0;
t = 0;
zna = 0;
% input starting date (for plots arrangements)
%startdate = input( 'Please, enter starting date ( mm-dd HH:MM ): ', 's' );
    while  line~=-1
        i = i + 1;
        line = fgetl( fid );
       if line~=-1 
          p = p + 1;
          outputs = explode( line );
        if strcmp(deblank(outputs.field1),station)==1 & strcmp(deblank(outputs.field2),'A')==1
          t = t + 1;
          ST( t , 1)  = outputs.field5;
          ST( t , 2 ) = outputs.field6 ;
          ST( t , 3 )  =  outputs.field7 ;
        elseif strcmp(deblank(outputs.field1),station)==1 & strcmp(deblank(outputs.field2),'A')==0
          z = z + 1;
          
          timere = (outputs.field2);
          yearere = str2double(timere(1:2))
          deyere = str2double(timere(4:6))
          timere = str2double(timere(8:12));
          ZTD( z , 1 ) = yearere;
          ZTD( z , 2 ) = deyere;
          ZTD( z , 3 ) = timere;
          ZTD( z , 4 ) = outputs.field3 ;
          ZTD( z , 5 )  =  outputs.field4 ;
          clear timere
        end
      end
     end
     clear w;
     if ftell ( fid ) == 'eof';
        eof = 0;
     end
    
   
