%function build to import TES hdf data to matlab
function [B,L,T,PresP,Time,Terr,GP,GPerr,wie] = tes2mat(nazwa,level);
B = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Geolocation Fields/Latitude');
L = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Geolocation Fields/Longitude');
Time = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Geolocation Fields/Time');
T = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Data Fields/TATM');
Terr = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Data Fields/TATMPrecision');
GP = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Data Fields/Altitude');
GPerr = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Data Fields/TATMPrecision'); %warninng same as TairErr
Pressure = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Data Fields/Pressure'); %warninng same as TairErr
PresP = hdf5read(nazwa,'/HDFEOS/SWATHS/TATMNadirSwath/Pressure');
%wyw = find_surf(T);
%T(wyw,:) = [];
%Terr(wyw,:) = [];
%GP(wyw,:) = [];
%GPerr(wyw,:) =[];

[wie,minP]= findP(Pressure,level);
[wi,ka] = size(wie)
tell = 1 :ka;
for i = 1 : wi
  koll = wie(i,:);
  Tn(i,:) =diag(T(koll,tell))';
  Terrn(i,:) =diag(Terr(koll,tell))'; 
  GPn(i,:) =diag(GP(koll,tell))';
  GPerrn(i,:) =diag(GPerr(koll,tell))'; 
end
clear minP s GP GPerr T Terr
T = Tn;
Terr = Terrn;
GP = GPn;
GPerr = GPerrn;

