function [data]=comp_cal_nopar_euref(station)
load('parameters');
%site=char('Wroc','Gope','Bisk','Snec');
%site=cellstr(site);
days=0;
%praw=1:365;
%praw=praw';
%rozdz=300;
%part designed to obtain data from third part stations (IMGW CHMU)
for st=1:size(parameters,2)
    if strcmpi(station,parameters(1,st).station)==1
       param=st;
    end
end
  dof=parameters(param).meteoref.name;
  path(path,'/home/witek/matlab.doc/grant/rohm/kwiecien2007/meteo_choice')
  check_source=dir(['/home/witek/matlab.doc/grant/rohm/kwiecien2007/meteo_choice/' dof]);
  if isempty(check_source)==0;
  [temp_synop hum_synop_dew press_synop_lot]=loadreference(dof,parameters(param).meteoref.coor(1,3));
  press_synop=press_synop_lot*(1-0.0000226*(parameters(param).meteoref.dis(1,1)))^5.225; %lift pressure to the level of gps station
  temp_synop=temp_synop+parameters(param).meteoref.dis(1,1)*(-0.68)/100;%lift temperature with the use of moist adiabating temperature gradient (-0.6deg C each 100m) to the level of gps station
  temp_synop_arid=temp_synop+parameters(param).meteoref.dis(1,1)*(-1)/100;%lift temperature with the use of dry adiabating temperature gradient (-1 deg C each 100m) to the level of gps station
  data.meteoref.press=press_synop;
  data.meteoref.temp=temp_synop;
  data.meteoref.temp_arid=temp_synop_arid;
  data.meteoref.hum=hum_synop_dew;
  else
  data.meteoref.press=NaN;
  data.meteoref.temp=NaN;
  data.meteoref.hum=NaN;
  end
  rmpath('/home/witek/matlab.doc/grant/rohm/kwiecien2007/meteo_choice');
  clear press_synop temp_synop hum_synop
%---------------------------------end of part------------------
%part designed to get full year data about temperature pressure and
%humidity from empirical observations and from models.
  path(path,'/home/witek/matlab.doc/grant/rohm/kwiecien2007/euref_choice');
  [rozdz]=def_rozdz(station);
  parameters(1,param).rozdz=rozdz;
  clear rozdz
  if isnan(parameters(1,param).rozdz)==0
   for doy=1:365
%meteorological parameters from models
    [pres_gpt temp_gpt undu]=gpt(doy,parameters(1,param).meteo.coor(1,1),parameters(1,param).meteo.coor(1,2),parameters(1,param).meteo.coor(1,3));
    %[pres_synop_gpt temp_synop_gpt undu_synop]=gpt(doy,51.10/180*pi,16.88/180*pi,124+35.39);
    pressure_gpt(doy)=pres_gpt;
    temperature_gpt(doy)=temp_gpt;
    %pressure_synop_gpt(doy)=pres_synop_gpt;
    clear pres_gpt temp_gpt undu t_sat e pres_synop_gpt temp_synop_gpt undu_synop;    
 %---------------------end of subpart-------------------------- 
 %meteorological parameters from observations   
 
    [data_out]=load_meteo_day(station,doy,parameters(1,param).rozdz);
    [t,p,h]=gap_new(data_out,parameters(1,param).rozdz); 
    clear data_out;
    P2(doy,:)=inter3600(p,parameters(1,param).rozdz);
    T2(doy,:)=inter3600(t,parameters(1,param).rozdz);
    h2(doy,:)=inter3600(h,parameters(1,param).rozdz);
   end
   rmpath('/home/witek/matlab.doc/grant/rohm/kwiecien2007/euref_choice')
   data.meteogpt.press=pressure_gpt;
   data.meteogpt.temp=temperature_gpt;
   TT=reshape(T2',24*365,1);
   PP=reshape(P2',24*365,1);
   HH=reshape(h2',24*365,1);
clear h p t brak_grad2 tt pp excl hum2 pres2 temp2 P2 T2 h2 t p h
%---------------------end of subpart------------------------------
%---------------------end of part------------------------------
%part designed to reform and visualise data 
  out=postproc_out(PP);
  PP(out)=NaN;
  Ptrans=reshape(PP,24,365);
clear out P2;
  mean_pres=inter24nochi2(Ptrans');
  mean_pres3600=PP;
  mean_pres3600=mean_pres3600*(1-0.0000226*(-parameters(param).meteo.dis(2)))^5.225; %to compensate for pressure sensor displacement
  mean_pres=mean_pres*(1-0.0000226*(-parameters(param).meteo.dis(2)))^5.225; %to compensate for pressure sensor displacement
  range_pres=(mean_pres-data.meteoref.press)./2;
  bias_pres_no_cal=mean(range_pres(find(isnan(range_pres)==0)).*2);
  std_pres_no_cal=std(range_pres(find(isnan(range_pres)==0)).*2);
  bias_pres=mean(range_pres(find(isnan(range_pres)==0)));
  std_pres=std(range_pres(find(isnan(range_pres)==0)));
  
  out=postproc_out(TT);
  TT(out)=NaN;
  Ttrans=reshape(TT,24,365);
clear out T2 ;
  mean_temp=inter24nochi2(Ttrans');
  mean_temp3600=TT;
  range_temp_arid=(mean_temp-data.meteoref.temp_arid)./2;
  range_temp=(mean_temp-data.meteoref.temp)./2;
  bias_temp_no_cal=mean(range_temp(find(isnan(range_temp)==0)).*2);
  std_temp_no_cal=std(range_temp(find(isnan(range_temp)==0)).*2);
  bias_temp=mean(range_temp(find(isnan(range_temp)==0))); 
  std_temp=std(range_temp(find(isnan(range_temp)==0))); 
      
  out=postproc_out(HH);
  HH(out)=NaN;
  Htrans=reshape(HH,24,365);
clear out h2 
  mean_hum=inter24nochi2(Htrans'); %has been switched to hour resolution no inter24  operatin
  mean_hum3600=HH;
  
  %part to calibrate data3600 based on %data24------------------
  for f=1:24;
      range_temp_arid_ma(:,f)=range_temp_arid;
      range_temp_ma(:,f)=range_temp;
      range_pres_ma(:,f)=range_pres;
  end
  clear range_temp range_pres
  range_temp_ma=reshape(range_temp_arid_ma',1,365*24); 
  range_temp_ma=reshape(range_temp_ma',1,365*24);
    range_pres_ma=reshape(range_pres_ma',1,365*24);
   mean_pres3600 = mean_pres3600 + range_pres_ma';
   mean_temp3600 = mean_temp3600 + range_temp_ma';
   mean_temp3600_arid = mean_temp3600 + range_temp_ma'
  
  data.meteo.press=mean_pres3600;
  data.meteo.press=mean_temp3600_arid;
  data.meteo.temp=mean_temp3600; %+273.16 switched off
  data.meteo.hum=mean_hum3600;
  data.meteo.press24=mean_pres;
  data.meteo.temp24=mean_temp%+273.16; switched off
  data.meteo.press_NaN=find(isnan(mean_pres3600)==0);
  data.meteo.temp_NaN=find(isnan(mean_temp3600)==0);
  data.meteo.hum_NaN=find(isnan(mean_hum3600)==0);
  data.meteo.range_temp=range_temp_ma;
  data.meteo.range_pres=range_pres_ma ;
  data.meteo.pres_bias=bias_pres;
  data.meteo.temp_bias=bias_temp;
  data.meteo.pres_error=std_pres;
  data.meteo.temp_error=std_temp;
  data.meteo.pres_bias_no_cal=bias_pres_no_cal;
  data.meteo.temp_bias_no_cal=bias_temp_no_cal;
  data.meteo.pres_error_no_cal=std_pres_no_cal;
  data.meteo.temp_error_no_cal=std_temp_no_cal;
  
  inter_WROC_temp_pres=intersect(data.meteo.press_NaN,data.meteo.temp_NaN);
  data.meteo.all_NaN=intersect(inter_WROC_temp_pres,data.meteo.hum_NaN);
  %----------------end of subpart-------------------------------
%data visualisation, has been switched off, to enhance speed
%  press_synop=data(1,param).meteoref.press;
% temp_synop=data(1,param).meteoref.temp;
%  hum_synop=data(1,param).meteoref.hum;
%  pressure_gpt=data(1,param).meteogpt.press;
%  temperature_gpt=data(1,param).meteogpt.temp;
%figure(1) %plotting differences in temperature
%       plot(1:1:length(temp_synop),temp_synop,'b');
%            str_title='Temperature values. Source: Synop, Meteo Lab, GPT. Site:WROC. Year:2006';
%            title(str_title);
%            xlabel('Time [day]');
%            ylabel('Temperature [deg C]');
%       hold on
%          plot(1:1:length(mean_temp),mean_temp,'r');
%           plot(1:1:length(temperature_gpt),temperature_gpt,'y');
%           legend('Synop','Meteo Lab (mean)','GPT',4);
%       hold off
% figure(2) %plotting differences in pressuer
%       plot(1:1:length(press_synop),press_synop,'b');
%            str_title='Pressure values. Source: Synop, Meteo Lab, GPT. Site:WROC. Year:2006';
%            title(str_title);
%            xlabel('Time [day]');
%            ylabel('Pressure [hPa]');
%       hold on
%           plot(1:1:length(mean_pres),mean_pres,'r')
%           plot(1:1:length(pressure_gpt),pressure_gpt,'y')
%           legend('Synop (WROC LOT int)','Meteo Lab (mean)','GPT',4);
%       hold off
% figure(3) %plotting differences in humidity
%       plot(1:1:length(hum_synop),hum_synop,'b')
 %           str_title='Humidity values. Source: Synop, Meteo Lab. Site:WROC. Year:2006';
 %           title(str_title);
 %           %axis([68 90 5 45 ])
 %           xlabel('Time [day]');
 %           ylabel('Humidity [%]');
 %     hold on
 %          plot(1:1:length(mean_hum),mean_hum,'r')
  %         legend('Synop','Meteo Lab (mean)',4);
  %     hold off
 %  figure(4) %plotting differences in pressuer
  %     plot(1:1:length(press_synop_lot),press_synop_lot','b')
     %         str_title='Pressure values. Source: Synop, GPT. Site:WROC LOT. Year:2006';
     %        title(str_title);
     %        xlabel('Time [day]');
     %        ylabel('Pressure [hPa]');
     %  hold on
     %      plot(1:1:length(pressure_synop_gpt),pressure_synop_gpt,'y')
     %      legend('Synop','GPT',4);
     %  hold off
%----------------------------end of subpart----------------------------
%----------------------------end of part----------------------------
 %part to calculate basic statistics
 
 index_nan_temp=find(isnan(mean_temp)==0);
 index_nan_pres=find(isnan(mean_pres)==0);
 index_nan_hum=find(isnan(mean_hum)==0);
 data.meteogpt.biasTemp=mean(temperature_gpt(index_nan_temp)-mean_temp(index_nan_temp)');
 data.meteogpt.errorTemp=std(temperature_gpt(index_nan_temp)-mean_temp(index_nan_temp)');
 data.meteogpt.biasPres=mean(pressure_gpt(index_nan_pres)-mean_pres(index_nan_pres)');
 data.meteogpt.errorPres=std(pressure_gpt(index_nan_pres)-mean_pres(index_nan_pres)');
 index_nan_pres_synop=find(isnan(mean_pres)==0);
  else
      data.meteogpt.biasTemp=NaN;
      data.meteogpt.errorTemp=NaN;
      data.meteogpt.biasPres=NaN;
      data.meteogpt.errorPres=NaN;
       data.meteo.press=NaN;
  data.meteo.temp=NaN;
  data.meteo.hum=NaN;
  data.meteo.press24=NaN;
  data.meteo.temp24=NaN;
  data.meteo.press_NaN=NaN;
  data.meteo.temp_NaN=NaN;
  data.meteo.hum_NaN=NaN;
  data.meteo.range_temp=NaN;
  data.meteo.range_pres=NaN ;
  data.meteo.pres_bias=NaN;
  data.meteo.temp_bias=NaN;
  data.meteo.pres_error=NaN;
  data.meteo.temp_error=NaN;
  data.meteo.all_NaN=NaN;
  end
 
 %biasPresSynop=mean(pressure_synop_gpt(index_nan_pres_synop)-press_synop_lot(index_nan_pres_synop)')
 %errorPresSynop=std(pressure_synop_gpt(index_nan_pres_synop)-press_synop_lot(index_nan_pres_synop)')
 %------------------------end of part---------------------------------------
