function [temp_synop hum_synop_dew press_synop]=loadreference(dof,param)
  path='home/witek/matlab.doc/grant/rohm/kwiecien2007/meteo_choice/';
  resource(1,1)=100150;
  resource(1,2)=100200;
  resource(1,3)=100930;
  resource(1,4)=101700;
  resource(1,5)=103480;
  resource(1,6)=103790;
  resource(1,7)=107270;
  resource(1,8)=107760;
  contrres=str2double(dof(1:6));
  if find(resource==contrres)~=0
      reduction=1
  else
      reduction=0
  end
  dof=[path dof];
  [yearmoda temp_synop_z hum_synop_dew_z press_synop_z]=textread(dof,'%*s %*s %s %f %*s %f %*s %*s %*s %f %*s %*s %*s %*s %*s %*s %*s %*s %*s %*s %*s %*s','headerlines',1);
  dataref=date2unixsecs(2006,01,01);
  if isempty(yearmoda)==0;
    if temp_synop_z(1,1)>20 %check fahrenheit
        far=1;
    else
        far=0;
    end
    for r=1:365
      if r<=length(temp_synop_z)
        datacal=yearmoda{r,1};
        w(r)=(date2unixsecs(str2double(datacal(1:4)),str2double(datacal(5:6)),str2double(datacal(7:8)))- dataref)/(24*60*60)+1;
        clear datacal
        if temp_synop_z(r,1)==99.9
            temp_synop(w(r),1)=NaN;
        elseif far==0
            temp_synop(w(r),1)=temp_synop_z(r,1);
        elseif far==1 % this condition is made under assumption that there is no possible o have 20 degrees celcius in January! may not work in all circumstances
            temp_synop(w(r),1)=5/9*(temp_synop_z(r,1)-32);
        end

            
        if hum_synop_dew_z(r,1)==99.9
           hum_synop_dew(w(r),1)=NaN;
        else
           hum_synop_dew(w(r),1)=hum_synop_dew_z(r,1);
        end
        if press_synop_z(r,1)==9999.9;
           press_synop(w(r),1)=NaN;
        else
            if reduction==0
               press_synop(w(r),1)=press_synop_z(r,1);     
            elseif reduction==1
               press_synop(w(r),1)=press_synop_z(r,1)*(1-0.0000226*(param))^5.225
           end       
         end
      end
    end
        yearclas(1:365)=1:365;
        donan=setdiff(yearclas,w)
        press_synop(donan,1)=NaN;
        hum_synop(donan,1)=NaN;
        temp_synop(donan,1)=NaN;
  end
  
      