clear all;
close all;
% creating parameters structur matrix proper for all sites in EUREF.
[skrot,hort,B,L,Hortstac,dh,WMO]=textread('list.txt','%*s %s %f %*s %f %f %f %f %s','headerlines',1);
parameters(:).station=skrot; %names  
%parameters(4).station=('Snec');
opis='-99999-2006.op';
for hu=1:length(WMO)
name{hu,1}=[WMO{hu,1} opis];
end

parameters(:).meteoref.name=(name);
%parameters(4).meteoref.name=('sr_snez2006.txt');
%displacemects for each reference stations height gps station - height meteo station 
parameters(:).meteoref.dis=(dh);%in height, 
%parameters(4).meteoref.dis=[1608-1613 50];%in height, and dist [m]  SNEC
%coordinates :
%-for meteo stations
%-for gps stations
parameters(:).meteoref.coor=[B/180*pi L/180*pi hort];%B L hort WROC

%part that probably has to be looped
logpath='D:\matlab.doc\grant\rohm\kwiecien2007\log_files\*.log';
source=dir(logpath);
%cell array of strings with all needed field names from log files
resource{1,1}='Latitude (N is +)';
resource{2,1}='Longitude (E is +)';
resource{3,1}='Elevation (m,ellips.)';
resource{4,1}='Accuracy (% rel h)';
resource{5,1}='Accuracy';
%resource{6,1}='Accuracy (deg C)';
resource{6,1}='Height Diff to Ant';
for t=1:length(source);
    [a,b]= readtext(source(t).name,'[:]', '#', '"', 'textual-empty2NaN'); 
    clear b
    for p=1:length(resource)
        str=resource{p,1};
        [w,k]=find(strcmp(str,a)==1);
        if p<=3
            wynik(t,p)=str2double(a{w,2});          
        elseif p==4
            tocomp='%';
        elseif p==5
            tocomp{1,1}='h';
            tocomp{1,2}='d';
        elseif p==6
            tocomp='m';
        end
        if length(w)==1
            ma=(a{w,2});
            kol=strfind(ma,tocomp);
            if kol==1
                wynik(t,p)=NaN;
            else
                wynik(t,p)=str2double(ma(1,1:kol));
            end
            clear kol ma
          elseif length(w)>1
            for pw=0:length(w)-1;
                 accur=a{w(pw+1),2};
                 kol=strfind(accur,tocomp);
              if isempty(kol)==1
                 kol=strfind(accur,'%');
              elseif kol==1
                wynik(t,(p+pw))=NaN;
              elseif kol>1
                wynik(t,(p+pw))=str2double(accur(1,1:kol));
              end
                  clear accur kol
            end
         end
         clear k w
    end
end
    
parameters(1).meteo.coor=[51.064716/180*pi 17.034284/180*pi 181];%B L helips WROC
%parameters(4).meteo.coor=[50.440917/180*pi 15.442307/180*pi 1651.6];%B L helips SNEC coordinates are the same the gps station and meteo station is close to each other
%parameters(4).meteoref.coor=[50.440917/180*pi 15.442307/180*pi 1657.6 43.75];%B L helips SNEC
%eventual displacements for pressure sensors height gps - height sensor
parameters(:).meteo.dis.alt=[];%in height [m] WROC
%parameters(4).meteo.dis.alt=(1);%in height [m] WROC
%parameters(4).rozdz=30;
%pressure reduction imposed or not(1 - YES 0 - NO)
parameters(1).meteoref.red=1;  %WROC
parameters(2).meteoref.red=1;  %GOPE
parameters(3).meteoref.red=0;  %BISK
parameters(4).meteoref.red=0;  %SNEC
save('parameters')
