%script to download interpolate and  plot EPN ZTD  
clear all
close all
stationsOLG={'BOR1','WROC','SNEC','BISK','TUBO','GOPE','KATO','ZYWI','KRAW','MARJ' };
stationsBKG = {'POTS', 'DRES','PTBB','POUS','WARN'}; 
load wynik_new_B.mat
load karkonosze_new.mat
a = 6378137;
b = 6356752.314;
e2 = (a^2 - b^2)/a^2;

%Warning missing in OLG:
%POTS DRES 
if exist('/home/witek/matlab.doc/nachod/ZTD_OLG/ZTD_NACHOD.mat')==0
source = dir('/home/witek/matlab.doc/nachod/ZTD_OLG/EU_*.TRO');
for h = 1: length(stationsOLG)
    for t = 1: length(source)
        stationsOLG{h}
        [ZTD_OLG(h,t).ST,ZTD_OLG(h,t).ZTD] = importTRO(source(t).name,stationsOLG{h});
        ZTD_OLG(h,t).NAME = stationsOLG{h};
        [BLh(1,2),BLh(1,3),BLh(1,4)]=xyz2ell(ZTD_OLG(h,t).ST(1,1),ZTD_OLG(h,t).ST(1,2),ZTD_OLG(h,t).ST(1,3),a,e2);
        [B,L,hh,bbs2,lls2,hhs2,xg,yg,tr_plot] = transform (BLh(1,2)/pi()*180,BLh(1,3)/pi()*180,BLh(1,4),2,3,0);
        ZTD_OLG(h,t).xyh = [B L hh];
    end
end
clear source h
source = dir('/home/witek/matlab.doc/nachod/ZTD_OLG/BKG*.TRO');
for h = 1: length(stationsBKG)
    for t = 1: length(source)
        stationsBKG{h}
        [ZTD_BKG(h,t).ST,ZTD_BKG(h,t).ZTD] = importTRO(source(t).name,stationsBKG{h});
        ZTD_BKG(h,t).NAME = stationsBKG{h};
        [BLh(1,2),BLh(1,3),BLh(1,4)]=xyz2ell(ZTD_BKG(h,t).ST(1,1),ZTD_BKG(h,t).ST(1,2),ZTD_BKG(h,t).ST(1,3),a,e2);
        [B,L,hh,bbs2,lls2,hhs2,xg,yg,tr_plot] = transform (BLh(1,2)*180/pi(),BLh(1,3)*180/pi(),BLh(1,4),2,3,0);
        ZTD_BKG(h,t).xyh = [B L hh];
    end
end
   save('/home/witek/matlab.doc/nachod/ZTD_OLG/ZTD_NACHOD.mat','ZTD_OLG','ZTD_BKG');
else
    load('/home/witek/matlab.doc/nachod/ZTD_OLG/ZTD_NACHOD.mat')
end
Xmax = ZTD_BKG(1,1).xyh(1,1);
Ymax = ZTD_OLG(4,1).xyh(1,2);
Xmin = ZTD_OLG(5,1).xyh(1,1);
Ymin = ZTD_BKG(1,1).xyh(1,2);
XI = Xmin:1000:Xmax;
YI = Ymin:1000:Ymax;
ZTD = [ZTD_OLG; ZTD_BKG];
ZTD_all.ZTD = [];
for bb = 1:size(ZTD,1);
   ZTD_all(bb,1).ZTD = [];
   for ii =1:size(ZTD,2);
    ZTD_all(bb,1).ZTD = [ZTD_all(bb,1).ZTD; ZTD(bb,ii).ZTD]
    end
end
clear bb ii ZTD_OLG ZTD_BKG
ZTD_final = [];
for bb = 1:size(ZTD,1)
    ZTD_final = [ZTD_final ZTD_all(bb,1).ZTD];
 
end

    zz = ZTD_final(:,4:5:end);
   ll = 0
while ll<size(ZTD,1)
ll = ll + 1
    x(ll,1) =  ZTD(ll,1).xyh(1,1);
    y(ll,1) =  ZTD(ll,1).xyh(1,2);
end

clear ll
%zz_do_rep(1:size(zz,2),:) =2.100 
zz1 = zz(1,:);
zz1 = repmat(zz1,[size(zz,1) 1]);
%zz1 = 2100;
zz = zz-zz1;
[YI,XI]=meshgrid(YI,XI);

% part to add polish borders
load poland2pts.txt
ile_wierszy = size (poland2pts,1);
for tr = 1 : ile_wierszy
[Bgran(tr,1),Lgran(tr,1),hh,bbs2,lls2,hhs2,xg,yg,tr_plot] = transform (poland2pts(tr,2) ,poland2pts(tr,1),poland2pts(tr,1),2,3,0);
end

%part incorporated from int_plot_METEO.m
    load('/home/witek/matlab.doc/nachod/ZTD_MET/ZTD_MET.mat')
% part developed to calculate first value
sp_zz = ZTD_final(:,4:5:end);
[f,p]=tpaps([y'; x'],sp_zz(1,:), 0);
zzM = wynik_z_NaN(:,11);
zzM = reshape(zzM,[15 49]);
zzM = zzM';


%zz1M = zzM(1,:);
zSNEC= wynik_z_NaN(12:15:end,11);

xx = wynik_z_NaN(:,9);
yy = wynik_z_NaN(:,10);
xx = reshape(xx,[15 49]);
yy = reshape(yy,[15 49]);
xx = xx';
yy = yy';
%zz1komp=fnval(f,[y'; x']);
%adder = zz(1,:) - zz1komp;
%zz1M=fnval(f,[yy(1,:); xx(1,:)])+adder;
%zz1M(1:size(zzM,1))=2100;
zz1M = zzM(1,:);
zz1M = repmat(zz1M,[size(zzM,1) 1]);
zzM = (zzM-zz1M)*1000;
%zzM = (zzM-2.1')*1000;
dd = 0
%part to choose the grid for METEO obs.
XminM= min(xx(1,:));
XmaxM= max(xx(1,:));
YminM= min(yy(1,:));
YmaxM= max(yy(1,:));
[w kxmin]=min(abs(XI-XminM));
[w kxmax]=min(abs(XI-XmaxM));
kxmin = mean(kxmin);
kxmax = mean(kxmax);
[w kymin]=min(abs(YI'-YminM));
[w kymax]=min(abs(YI'-YmaxM));
kymin = mean(kymin);
kymax = mean(kymax);
XIM = XI(kymin:kymax,kymin:kymax);
YIM = YI(kymin:kymax,kymin:kymax);
aviobj = avifile ( 'ZTD_COMP.avi', 'fps', 5 ); 

for ll= 2: size(zz,1)
%% ll = 2;   
z = zz(ll,:)';
%scatter3(y,x,z,100,'o');
[ZI]=griddata(y,x,z,YI,XI,'cubic');
if ll>=28 & ll<=76
    dd = dd + 1
zM = zzM(dd,:)';
xM = xx(dd,:)';
yM = yy(dd,:)';
nazwyM = parameters.station;
[wier kol wart]=find(isnan(zM)==1);
%scatter3(y,x,z,100,'o');
zM(wier,:) =[];
xM(wier,:) =[];
yM(wier,:) =[];
nazwyM(wier,:) = [];
[ZIM]=griddata(xM,yM,zM,XIM,YIM,'cubic');
 zaokrM = round((ZIM)*100)/100;
%ZIP = ZI(kymin:kymax,kymin:kymax);
%porZ = ZIP - ZIM;
end
load('temperature_cmp.mat')
          figure(ll)      
          zaokr = round((ZI)*100)/100;
          hold on

         imagesc(diag(YI),diag(XI),zaokr)
    
             axis([Ymin,Ymax,Xmin,Xmax-20000])
            set(gcf,'Colormap',temperature_cmp);
             hand_bar = colorbar;
                caxis([-40 40]);
                colorbar
              caxis(caxis)
              hold on
        if ll>=28 & ll<=76
          contour(YIM,XIM,zaokrM,'linewidth',3)           
         % [C,hd] = contour(YIM,XIM,zaokrM);
        end
        clear zaokr zaokrM
               %title('difference between radiosonde temperature model and local temperature model 12h ');  
               %plot(wynik_temp(:,1),wynik_temp(:,2),'k*')
               %plot(BLh(:,3),BLh(:,2),'yo','LineWidth',3)
               %rectangle('Position',[min(BLh_pudel(:,2)),min(BLh_pudel(:,1)),max(BLh_pudel(:,2))-min(BLh_pudel(:,2)), max(BLh_pudel(:,1))-min(BLh_pudel(:,1))]) 
               %text(max(BLh_pudel(:,2))+0.05, min(BLh_pudel(:,1)) + (max(BLh_pudel(:,1))-min(BLh_pudel(:,1)))*0.5,'<----- Tomographic model')
               %legend('Pressure differences','Meteorological stations', 'GPS sites','Location','SouthWest')
               ylabel('x92 [m]');
               xlabel('y92 [m]');
               if ll>=28 & ll<=76
                   %clabel(C,hd)
               end
               clear z ZI pos unity multi C hd; 
              plot(Lgran,Bgran,'k');
             scatter(y,x,'^k');
  
   stations_all =[stationsOLG stationsBKG];
   text(Ymin+3000,Xmax-40000,['h = ' num2str(ll)], 'BackgroundColor',[.8 .8 .8],'fontsize',16);
   for n_t = 1: length(stations_all)
       if y(n_t,1) < Ymax &y(n_t,1)>Ymin & x(n_t,1) < Xmax & x(n_t,1)> Xmin 
   text(y(n_t,1)-100,x(n_t,1)+15000,stations_all{1,n_t}, 'BackgroundColor',[.7 .9 .7],'fontsize',16);
       end
 end
    if ll>=28 & ll<=76
%       zoom(1.2)
       text( y(3,:) - 122000,x(3,:) + 100000,['h = ' num2str(ll)], 'BackgroundColor',[.8 .8 .8],'fontsize',16);

    end
   nazwa_wyk = ['/home/witek/matlab.doc/nachod/VISUAL/comp_glob_loc' num2str(ll)];
    saveas(gca,nazwa_wyk,'fig');           
    F  = getframe(gca);
    aviobj = addframe ( aviobj, F );



  
end
close all
aviobj = close ( aviobj );
movie(F(1,2:end),1,5)
save('/home/witek/matlab.doc/nachod/VISUAL/F.mat','F');
