%model test bed
%change 23.06.2008
%additional outer model added
%change 28.06.2008
%no need for project_stereo anymore
%08.07.2008 the problem with rozklad has been solved new function gk2blh developed 
%05.08.2008 the scenario has been add to iterate for all possible
%scenarios and number of ile and ile_wys 
clear all
do_diff = 0;
do_ile_wys=10;
do_ile = 5;

for ice = 1 : length(do_diff)
    for ile_it = 1: length(do_ile_wys)
close all
toZWD
%setting the horizontal ile and vertical ile_wys resolution of the model
ile = do_ile(ile_it) ;
ile_wys =do_ile_wys(ile_it);
%switching or on of the randome differencies
differ_rand = do_diff(ice); 
%0 - no differencies
%1 - whole layer
%2 - in layer + whole layer
%checking the graphic 
sw = 0; %if other than 1 no azimuth and elevation checking
cw = 0;  %if other than 1 no solution merging
%constructing the inner model
[BLh_pudel,BLh_pudel_num] = shift_mod(BLh,ile,ile_wys);
%constructing the outer model
[BLh_outer,BLh_outer_num] = outer_model(BLh_pudel,BLh_pudel_num);
%projecting the model into the 92 coordinates reference frame 
%inner - change no need for projection already projected
 BLh_pudel_proj = BLh_pudel;
 BLh_pudel_proj_num = BLh_pudel_num;
%outer
 BLh_outer_proj = BLh_outer;
 BLh_outer_proj_num = BLh_outer_num,BLh;

dmj = 236
%%%%%%%%_________Constructing the model space__________%%%%%%%%%%%%
%_______________computing the artificial distribiution in inner model 
%temperature
[T,T3D] = rozklad_T_gpt(BLh_pudel_num,dmj);
%water Vapour Pressure
[E,E3D] = rozklad_e_gpt(BLh_pudel_num,dmj);
%introducing randome differencies similiar for whole layer;
nr_poz = round(ile_wys/2);
if differ_rand == 1 | differ_rand ==2
    %in the middle of the model
    E((nr_poz*ile*ile+1):(nr_poz*ile*ile +ile*ile),1) = E((nr_poz*ile*ile+1):(nr_poz*ile*ile +ile*ile),1) + rand*5;
    T((nr_poz*ile*ile+1):(nr_poz*ile*ile +ile*ile),1) = T((nr_poz*ile*ile+1):(nr_poz*ile*ile +ile*ile),1) + rand*5;
    %in the bottom of the model
    E((0*ile*ile+1):(0*ile*ile +ile*ile),1) = E((0*ile*ile+1):(0*ile*ile +ile*ile),1) - rand*5;
    T((0*ile*ile+1):(0*ile*ile +ile*ile),1) = T((0*ile*ile+1):(0*ile*ile +ile*ile),1) - rand*5;
end
if differ_rand == 2
    %introducing randome differencies that differs inside  layer;
    add_rand_E=rand(ile*ile,1);
    add_rand_T=rand(ile*ile,1);
    E(((nr_poz+1)*ile*ile+1):((nr_poz+1)*ile*ile +ile*ile),1) = E(((nr_poz+1)*ile*ile+1):((nr_poz+1)*ile*ile +ile*ile),1) + add_rand_E;
    T(((nr_poz+1)*ile*ile+1):((nr_poz+1)*ile*ile +ile*ile),1) = T(((nr_poz+1)*ile*ile+1):((nr_poz+1)*ile*ile +ile*ile),1) + add_rand_T;
end
%E((ile*ile+1+ile*ile):(ile*ile+6+ile*ile)) = E((ile*ile+1+ile*ile):(ile*ile+6+ile*ile))+2;
%T((ile*ile+1+ile*ile):(ile*ile+6+ile*ile)) = T((ile*ile+1+ile*ile):(ile*ile+6+ile*ile))+3;
%T(12:17) = T(12:17)-5;
%from prevoiusly defined parameters - refractivity
[Nw,Nw3D] = eT2Nw(E,T,BLh_pudel_num);
%____________computing the artificial distribiution in outer model
%temperature
[T_out,T3D_out] = rozklad_T_gpt(BLh_outer_num,dmj);
%water Vapour Pressure
[E_out,E3D_out] = rozklad_e_gpt(BLh_outer_num,dmj);
%introducing randome differencies;
%E(13+9:15+9) = E(13+9:15+9)-7;
%T(13+9:15+9) = T(13+9:15+9)-3;
%T(12:17) = T(12:17)-5;
%from prevoiusly defined parameters - refractivity
[Nw_out,Nw3D_out] = eT2Nw(E_out,T_out,BLh_outer_num);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%________Constructing the observables over model__%%%%%%%%%%
%COORDINATES (REAL)
%        Bs = stacja(n).parameters(1,2);
%        Ls = stacja(n).parameters(1,3);
%        hs = stacja(n).parameters(1,4);
%ELEVATIONS (REAL)
%        els = stacja(n).h(godz).satellite(nu_sat).elewacja;
%SLANT WET DELAY FROM THE MODEL (T,E) FROM THE MODEL DOMAIN
%        [ZWD_sas, err] = Saastamoinen_ZWD_gard(T,E); 
%        m_neil = NEILL_wet_map( pi()*els/180 , Bs*pi()/180 );
%        SWD_sas_neil = ZWD_sas *m_neil;
%ZENITH WET DELAY STRAIGHT FROM THE MODEL  
%        BLh = [Bs Ls hs];
%        [wie,kol,lay] = find_pud(BLh_pudel_num,BLh);
%        ZWD_Nw3D =10^6 * sum(Nw3D(wie,kol,lay:end)*10000/ile_wys);
%        SWD_Nw3D = ZWD_Nw3D * m_neil;
%SLANT WET DELAY STRAIGHT FORM THE MODEL
%%
close all
%to /home/witek/matlab.doc/artykul/AIRSdetect problems czas has changed to specified values
%podej = [2 6 10 11 13 15 17 18 19 22 23]
for czas = 1:24;
 for nr = 1 : 7
      sat_numer = 0;
     for sat = 1:31
          par_outer = inter_plane_line(BLh_outer_proj,stacja,nr,czas,sat);
          par = inter_plane_line(BLh_pudel_proj,stacja,nr,czas,sat);
                if isnan(par)==0
                    sat_numer= sat_numer+1;
                %deriving the box number (num_pud) from par and
                %distance (diff_d)
                  [num_pud,diff_d,Dsr] = set_num_pud(BLh_pudel_proj_num,BLh_pudel_proj,par);
                  [num_pud_outer,diff_d_outer,Dsr_outer] = set_num_pud(BLh_outer_proj_num,BLh_pudel_proj,par_outer);
                 % BLh_pudel_proj2D = reshape(BLh_pudel_proj,[3 16*6]); 
                 % scatter3(BLh_pudel_proj2D(1,:,:),BLh_pudel_proj2D(2,:,:),BLh_pudel_proj2D(3,:,:),20,'fill','c')
                  %calculation of Slant Wet delay from the model Voxels
                  SWD_Nw3D_str(czas).pk(sat_numer,nr) = 10^-6 * sum( Nw (num_pud) .* diff_d');
                  stacja_model(czas).h(nr).parameters = stacja(czas).h(nr).parameters;
                  stacja_model(czas).h(nr).nazwa = stacja(czas).h(nr).nazwa;
                  stacja_model(czas).h(nr).satellite(sat_numer).PRN = sat;
                  stacja_model(czas).h(nr).satellite(sat_numer).SWD = 10^-6 * sum( Nw (num_pud) .* diff_d');
                  stacja_model(czas).h(nr).satellite(sat_numer).M_SWD = 1;
                  stacja_model(czas).h(nr).satellite(sat_numer).elewacja = stacja(czas).h(nr).satellite(sat).elewacja;
                  stacja_model(czas).h(nr).satellite(sat_numer).azi =  stacja(czas).h(nr).satellite(sat).azi; 
                  %the PRN number in the couple satelite - receiver
                  SWD_Nw3D_str(czas).PRN(sat_numer,nr) = sat;
                  %the station number in the couple satelite- receiver
                  SWD_Nw3D_str(czas).NR(sat_numer,nr) = nr;
                  % for comaprision UNB3 slant wet delays
                  els = stacja(czas).h(nr).satellite(sat).elewacja;
                   hs = stacja(czas).h(nr).parameters(1,4);
                   Bs = stacja(czas).h(nr).parameters(1,2);
                   Ls = stacja(czas).h(nr).parameters(1,3);
                     [p,t,N] = gpt(dmj,Bs*pi()/180,Ls*pi()/180,hs);
                     clear p t 
                     [RTROP HZD HMF WZD WMF]= UNB3M(Bs*pi()/180 , hs - N , dmj , els*pi()/180);
                     SWD_UNB3( czas ).pk(sat_numer,nr) = WZD*WMF;
                     SWD_UNB3( czas ).ELE(sat_numer,nr) = els;
                     clear RTROP HZD HMF WZD WMF N hs Bs Ls els
                if sw == 1
                %part to visualize the elevation , azimuth, and path thru the model space,and number of satellites per hour
                     h = figure(czas)
                     title(['observed satellites in epoch ' num2str(czas)]);
                     subplot(2,4,nr)
                     mmpolar(stacja_model(czas).h(nr).satellite(sat_numer).azi*pi()/180, 90 - stacja_model(czas).h(nr).satellite(sat_numer).elewacja,'*r','Style','compass','Rlimit',[3 90],'TTickSign','+');
                     hold on
                end       
              end
               
       clear par num_pud diff_d
     end
   H{nr,1} =['obs_sat ' num2str(sat_numer)] ;
 end
  subplot(2,4,8);
  axis([0 2 0 8]);
  axis off
  text(ones(7,1),1:7,H,'interpreter','none');
  
  
   %to derive vector
   [wie ko] = size(SWD_Nw3D_str(czas).pk);
  SWD_Nw3D_str(czas).re = reshape( SWD_Nw3D_str(czas).pk,[wie*ko 1]);
  SWD_Nw3D_str(czas).PRN = reshape( SWD_Nw3D_str(czas).PRN,[wie*ko 1]);
  SWD_Nw3D_str(czas).NR = reshape( SWD_Nw3D_str(czas).NR,[wie*ko 1]);
  SWD_Nw3D_str(czas).UNB3 = reshape( SWD_UNB3(czas).pk,[wie*ko 1]);
  SWD_Nw3D_str(czas).ELEVATION = reshape(SWD_UNB3(czas).ELE,[wie*ko 1]);
  
  %to substract the zero values from the solution
      wie0 = find(SWD_Nw3D_str(czas).re > 0);
  SWD_Nw3D_str(czas).re = SWD_Nw3D_str(czas).re(wie0);
  SWD_Nw3D_str(czas).PRN = SWD_Nw3D_str(czas).PRN(wie0);
  SWD_Nw3D_str(czas).NR = SWD_Nw3D_str(czas).NR(wie0);
  SWD_Nw3D_str(czas).UNB3 = SWD_Nw3D_str(czas).UNB3(wie0);
  SWD_Nw3D_str(czas).ELEVATION = SWD_Nw3D_str( czas ).ELEVATION(wie0)
  clear wie ko wie0

  %to compare solution with UNB3
  SWD_Nw3D_str(czas).cmp = SWD_Nw3D_str(czas).pk - SWD_UNB3( czas ).pk;
  hh = figure(czas)
  plot(SWD_Nw3D_str(czas).ELEVATION, SWD_Nw3D_str(czas).UNB3,'*r');
   hold on
  plot(SWD_Nw3D_str(czas).ELEVATION, SWD_Nw3D_str(czas).re,'*b');
  legend('UNB3','line of sight');
   SWD_Nw3D_str(czas).cmp = SWD_Nw3D_str(czas).pk - SWD_UNB3( czas ).pk;  
   nazwa_UNB3_str = ['/home/witek/matlab.doc/grant/rohm/Visual/UNB3_str_h' num2str(czas) '.fig']
   saveas(hh,nazwa_UNB3_str,'fig');
   close(hh)
   clear nazwa_UNB3_str hh

end
%%
Nw = repmat(Nw,[1 czas]);
Nw = Nw';
clear czas sat nr par b num_pud diff_d  A N P SWD B R sat_numer s 
%%
%The model has been constructed - the observables over the model as well
%the tomographic solution
[equa_P,equa_PC, xP, xC, xPC] = tomo1(stacja_model,BLh_pudel_proj,BLh_pudel_proj_num);
podej = [];

%to visualize A matrics and solution discrepancy behaviour
if isempty(podej)==0
    clear ko 
    ko = length(podej);
else
    [ro ko] = size(equa_P);
    clear ro
    podej = 1:24;

end

for zt = 1 : ko
%%  
    z = podej(zt); 
    [ro ka] = size(equa_P(z).SWD);
    clear ka
  measure_nonzero = ro - histc(equa_P(z).A,0);
  measure_dist = sum(equa_P(z).A);
  ze = (measure_dist==0);
  measure_dist(ze) = NaN;
  level_mark = (ile*ile+1):ile*ile:ile*ile*ile_wys;
  height_bar(1:length(level_mark))  = max(measure_dist);
  
  hand_2(z)=figure(400+z);
  bar(level_mark,height_bar,0.01,'b');
  hold on
  h_l(1,1) = scatter(1:length(measure_dist),measure_dist,'*r');
  h_l(2,1) = bar(1:length(measure_dist),measure_nonzero,'g');
 
  axis([0 ile*ile*ile_wys 0 max(measure_dist)]);
  xlabel('voxel number');
  ylabel('ray lengths[km]/number of rays');
  legend( h_l, 'distance','number of rays')
  title(['The signal length in a voxel. Number of scanning rays. Epoch ' num2str(z)]);
  clear h_l
  
  hand(z)=figure(200+z);
  subplot(2,2,1:2)
  bar(level_mark,height_bar,0.01,'b');
  hold on
  h_l(1,1) = scatter(1:length(measure_dist),Nw(z,:),'ob','fill');
  h_l(2,1) = scatter(1:length(measure_dist),xPC(z,:),'og','fill');
  axis([0 ile*ile*ile_wys 0 max(measure_dist)]);
  xlabel('voxel number');
  ylabel('refractivity Nw');
  legend(h_l,'reference Nw','Nw from pseudo inverse solution with constrains');
  title(['The solution comparision, epoch number = ' num2str(z)]);
%%  
   clear ro measure_dist measure_nonzero level_mark height_bar z 
end
%%
[wie ko] = size(xP);
NwC = Nw;
BLh_pudel_proj_num2D=reshape(BLh_pudel_proj_num,[3 ile*ile*ile_wys]);
for i = 1 : wie;
    wa = find(xP(i,:)<0.1);
    xP(i,wa) = NaN;
    Nw(i,wa) = NaN;
   
clear wa;
end
comp_xP = xP - Nw;
comp_xC = xC - NwC;
comp_xPC = xPC - NwC;
[wi ko] = size(comp_xPC);

    for l = 1 : wi
      rms_xPC(l,1) = norm(comp_xPC(l,:))/ko;
      std_xPC(l,1) = std(comp_xPC(l,:)');
    end
    clear l wi ko
       mean_xPC = mean(comp_xPC,2);
%intersection thru the center
inter_xP = xP(:,ceil((ile*ile)/2):ile*ile:end);
inter_xC = xC(:,ceil((ile*ile)/2):ile*ile:end);
inter_xPC = xPC(:,ceil((ile*ile)/2):ile*ile:end);
inter_NwC = NwC(1,ceil((ile*ile)/2):ile*ile:end);
heights_mod = BLh_pudel_proj_num2D(3,ceil((ile*ile)/2):ile*ile:end);

%intersection thru the edge
edge_xP = xP(:,1:ile*ile:end);
edge_xC = xC(:,1:ile*ile:end);
edge_xPC = xPC(:,1:ile*ile:end);
edge_NwC = NwC(1,1:ile*ile:end);

nazwa_plik =['/home/witek/matlab.doc/grant/rohm/Visual/sol_i' num2str(ile) 'iw' num2str(ile_wys) 'dif' num2str(differ_rand) '.mat'];
save(nazwa_plik,'xP','xPC','inter_xPC','edge_xPC','rms_xPC','std_xPC','mean_xPC')
%intersection thru the edge

%%
pp = size(inter_xP,1)
for p = 1 : pp;
    p = podej(p)
    figure(hand(p))
     subplot(2,2,3)%the center profile
      h1 = plot(inter_NwC,heights_mod,'-*b', 'LineWidth',4);
      set(gca,'XDir','reverse')
    hold on
     % plot(inter_xC(p,:),heights_mod,'-og');
      plot(inter_xPC(p,:),heights_mod,'-og','LineWidth',2);
      title(['Model center cross section, epoch number = ' num2str(p)]);
      ylabel('height [m]');
      xlabel('refractivity')
     % legend('reference Nw','classic inverse solution with constrains','pseudo inverse solution with constrains','location','NorthWest')
       legend('reference Nw','pseudo inverse solution with constrains','location','SouthEast')
       
    subplot(2,2,4) %the edge profile
      h1 = plot(edge_NwC,heights_mod,'-*b', 'LineWidth',4);
    hold on
      set(gca,'XDir','reverse')
    %  plot(edge_xC(p,:),heights_mod,'-og');
      plot(edge_xPC(p,:),heights_mod,'-og','LineWidth',2);
      title(['Model edge cross section, epoch number = ' num2str(p)]);
      ylabel('height [m]');
      xlabel('refractivity')
      %legend('reference Nw','classic inverse solution with constrains','pseudo inverse solution with constrains','location','NorthWest')
      legend('reference Nw','pseudo inverse solution with constrains','location','SouthEast')
  
   %figure(20)
   
  %  scatter(BLh_pudel_num(1,:,1),BLh_pudel_num(2,:,1),100,Nw3D(1,:,1))
  %  hold on
  %  scatter(BLh_pudel_num(1,:,1),BLh_pudel_num(2,:,1),100,xC(p,:),'filled')
clear p
end
  figure(223)
 nazwa_Nw_xPC = ['/home/witek/matlab.doc/grant/rohm/Visual/sol_i' num2str(ile) 'iw' num2str(ile_wys) 'dif' num2str(differ_rand) 'h23' '.fig']
   saveas(gca,nazwa_Nw_xPC,'fig');
clear nazwa_Nw_xPC
   figure(215)
 nazwa_Nw_xPC = ['/home/witek/matlab.doc/grant/rohm/Visual/sol_i' num2str(ile) 'iw' num2str(ile_wys) 'dif' num2str(differ_rand) 'h15' '.fig']
  saveas(gca,nazwa_Nw_xPC,'fig');
  clear nazwa_Nw_xPC
     figure(206)
 nazwa_Nw_xPC = ['/home/witek/matlab.doc/grant/rohm/Visual/sol_i' num2str(ile) 'iw' num2str(ile_wys) 'dif' num2str(differ_rand) 'h06' '.fig']
   saveas(gca,nazwa_Nw_xPC,'fig');
   clear nazwa_Nw_xPC
       % clear xC3Dwyk
%end
clear comp_xP comp_xC inter_xP inter_xC inter_NwC edge_xP edge_xC edge_NwC
%%
if cw == 1 %just to speed up has been switched off

%Part designed to combine whole solutions  - The Nw is stable during the 24
%h measurements
[xNcum,xPcum,xCcum, xPCcum] = iter_equa(equa_P,equa_PC);
comp_xP = xPcum - Nw;
comp_xC = xCcum - NwC;
inter_xP = xPcum(:,5:ile*ile:end);
inter_xC = xCcum(:,5:ile*ile:end);
inter_xN = xNcum(:,5:ile*ile:end);
inter_NwC = NwC(1,5:ile*ile:end);

for p = 1 : length(inter_xP);
    figure(p)
      h = plot(inter_NwC,heights_mod,'-*b', 'LineWidth',4);
    hold on
    %  plot(inter_xP(p,:),'r');
      plot(inter_xC(p,:),heights_mod,'-og');
      plot(inter_xN(p,:),heights_mod,'-oc');
      title([num2str(p) ' time epochs combined']);
      ylabel('height');
      xlabel('refractivity')
    legend('reference Nw','pseudo inverse solution with constrains','classic inverse solution without constrains');
  
end
end
clear A* B* C* D* E* F* G* H* I* J* K* L* M* N* O* P* R* S* T* U* W* X* Y* Z* a* b* c* e* f* g* h* j* k* l* m* n* o* p* r* s* t* u* v* w* x* diff_d_outer dmj i ile ile_wys inter_xPC ze zt
    end
end
