function  [Nw] = eT2NwCOAMPS(e, T)
% The function has been developed to calculate the wet refractivity in a
% COAMPS model there is a function eT2Nw which is developed for Tomo model
%____________input________________
% e - the water vapour partial pressure (mbar)
% T - the temperature [K]
%__________output_________________
% Nw - the wet refractivity [-]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
k2 = 72;
k3 = 370100;
%[wi ko] = size(e);

%for i = 1 : wi
 %   for j= 1 : ko
 %       Zv = 1 + e(i,j)*(1 + 3.7*10 ^-4*e(i,j))*(-2.37321*10^-3 + 2.23366*T(i,j)^-1 - 710.792*T(i,j)^-2 + 7.76147*10^4*T(i,j)^-3);
 %       Nw(i,j) = ( k2 * e(i,j) / T(i,j) + k3 * e(i,j) / T(i,j)^2 )*Zv ;
        %Nw1(i,1) = ( k2 * e(i,1) / T(i,1) + k3 * e(i,1) / T(i,1)^2 ); 
  %      clear Zv
  %  end
%end


        Zv = 1 + e.*(1 + 3.7*10 .^-4.*e).*(-2.37321*10.^-3 + 2.23366.*T.^-1 - 710.792.*T.^-2 + 7.76147.*10.^4.*T.^-3);
        Nw = ( k2 * e./ T + k3 .* e./ T.^2 ).*Zv ;
        %Nw1(i,1) = ( k2 * e(i,1) / T(i,1) + k3 * e(i,1) / T(i,1)^2 ); 
        

