function [W] = horsmooth(not_cro,BLh_pudel_proj_num,ile)
%changes 
%25.08.2009 - from the analysis - of flows R = 10 km of data is being used
%in the bottom 4 layers R = 15 km for layer 5,6 and R = max for all others
%5.06.2008 - to check impact of zero columns in line 46 W numbering
%changed.Therefore line 53 - 59 set to comment
%line 15 in case of empty R (not_cro)
%_________________________________________
%function used to obtain horizonthal smoothing equations
%________________input__________________
%not_cro - set of not crossed voxel
%BLh_pudel_proj_num - set of projected coordinates of the central point voxel
%ile - number of voxel in one layers's edge
%______________output_______________
%W - set of coeficiences for each layer
%_____________________________________
 if isempty(not_cro) == 1;
     W = [];
 else
    [wi1,ki1] = size(not_cro);
    [wi2, ki2, wa2] = size (BLh_pudel_proj_num);
    BLh_pudel_proj_num_2D = reshape(BLh_pudel_proj_num,[wi2 ki2*wa2]);
    clear wi2 ki2 ki1 wa1
for p = 1 : wi1
    dowag = not_cro(p,1);
    warstwa = floor((dowag-0.0001)/(ile*ile)) + 1;
    BLh_pudel_proj_num_1D = BLh_pudel_proj_num(:,:,warstwa);
    BLh_pudel_proj_num_1D = BLh_pudel_proj_num_1D';
    if dowag > ile*ile
       dowag = dowag - (warstwa-1)*ile*ile;
      if dowag == 0
         dowag = 1;
     end
    end
       num_pud_ide(:,1) = 1:ile*ile ;
       num_pud_ide(dowag,:) =[]; 
       point = BLh_pudel_proj_num_1D(dowag,:);
       BLh_pudel_proj_num_1D(dowag,:)=[];
       point = repmat(point,ile*ile-1,1);
       to_dist =[BLh_pudel_proj_num_1D point];
       to_dist(:,end+1) = ((to_dist(:,1) - to_dist(:,4)).^2 + (to_dist(:,2) - to_dist(:,5)).^2).^(0.5);
       % apply the change of correlation % 
       if warstwa <5
       wR = find(to_dist(:,7)>10000);
       to_dist(wR,7) = 0;
       clear wR
       elseif (warstwa < 7) & (warstwa > 5)
       wR = find(to_dist(:,7)>15000);
       to_dist(wR,7) = 0;
       clear wR    
       elseif warstwa > 7 
       wR = find(to_dist(:,7)>60000);
       to_dist(wR,7) = 0;
       clear wR    
       end
       Waga(dowag,:) = -1;
       
       to_dist(:,7) = to_dist(:,7)/sum(to_dist(:,7));
       Waga(num_pud_ide,:) =to_dist(:,7);
       zer = zeros((ile*ile),1);
           if warstwa > 1
               Przed = repmat(zer,1,warstwa - 1);
               Za = repmat(zer,1,wa2 - warstwa);
           else 
               Przed = [];
               Za = repmat(zer,1,wa2 - warstwa);
           end
       Wexp = [Przed Waga Za];
       Wexp = reshape(Wexp,1,ile*ile*wa2);
       Wend(p,:)=Wexp;
       %Wend(not_cro(p,1),:)=Wexp;
       W = Wend;
       clear dowag warstwa BLh_pudel_proj_num_1D num_pud_ide point to_dist Waga Wexp Za Przed zer 
       
end
    % [wi,ki] = size(W);
    %   if wi < ile *ile* wa2
    %       W(ile*ile* wa2,ile*ile * wa2) = 0;
    %   end
 end
  